=== debian/control ===
Source: tao-pegtl
Section: libs
Priority: optional
Maintainer: Birger Schacht <birger@rantanplan.org>
Build-Depends: cmake, debhelper (>=11~)
Standards-Version: 4.2.0
Homepage: https://github.com/taocpp/PEGTL

Package: tao-pegtl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Parsing Expression Grammar Template Library
 The Parsing Expression Grammar Template Library (PEGTL) is a zero-dependency
 C++11 header-only parser combinator library for creating parsers according to a
 Parsing Expression Grammar (PEG).
