## tao-pegtl 2.7.1

=== debian/changelog ===
tao-pegtl (2.7.1-1) unstable; urgency=medium

  * Add a gitlab-ci.yml file
  * New upstream version 2.7.1
  * Add missing Vcs-* fields (Closes: #908458)

 -- Birger Schacht <birger@rantanplan.org>  Tue, 02 Oct 2018 16:32:14 +0200
