=== debian/control ===
--- 
+++ 
@@ -3,12 +3,15 @@
 Priority: optional
 Maintainer: Birger Schacht <birger@rantanplan.org>
 Build-Depends: cmake, debhelper (>=11~)
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/taocpp/PEGTL
+Vcs-Browser: https://salsa.debian.org/bisco-guest/tao-pegtl
+Vcs-Git: https://salsa.debian.org/bisco-guest/tao-pegtl.git
 
 Package: tao-pegtl-dev
 Section: libdevel
-Architecture: any
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Parsing Expression Grammar Template Library
  The Parsing Expression Grammar Template Library (PEGTL) is a zero-dependency
