## tao-pegtl 2.8.1

=== debian/changelog ===
tao-pegtl (2.8.1-1) unstable; urgency=medium

  * New upstream release
  * d/control
   + Bumped standards version to 4.4.1 (no changes required to make
     package compliant)
   + Added Rules-Requires-Root: no
  * Drop unneeded variable from d/gitlab-ci.yml
  * Switch Build-Dependency from debhelper to debhelper-compat

 -- Birger Schacht <birger@rantanplan.org>  Fri, 04 Oct 2019 17:54:31 +0200
