=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Birger Schacht <birger@rantanplan.org>
-Build-Depends: cmake, debhelper (>=11~)
-Standards-Version: 4.2.1
+Build-Depends: cmake, debhelper-compat (=12)
+Standards-Version: 4.4.1
 Homepage: https://github.com/taocpp/PEGTL
 Vcs-Browser: https://salsa.debian.org/bisco-guest/tao-pegtl
 Vcs-Git: https://salsa.debian.org/bisco-guest/tao-pegtl.git
+Rules-Requires-Root: no
 
 Package: tao-pegtl-dev
 Section: libdevel
