## tao-pegtl 2.8.3

=== debian/changelog ===
tao-pegtl (2.8.3-3) unstable; urgency=medium

  * d/rules: force -Wno-error=type-limits to enable build with gcc 10
    (Closes: #978520)
  * d/control: bump standards-version to 4.5.1 (no changes required)

 -- Birger Schacht <birger@debian.org>  Wed, 30 Dec 2020 16:23:59 +0100

tao-pegtl (2.8.3-2) unstable; urgency=medium

  * Force the use of gcc-9 until upstream is ready for
    gcc-10 (Closes: #966856)
  * d/control
   + update maintainer address
   + bump debhelper-compat version
   + update Vcs-* URLs

 -- Birger Schacht <birger@debian.org>  Mon, 03 Aug 2020 17:28:34 +0200

tao-pegtl (2.8.3-1) unstable; urgency=medium

  * New upstream release
  * Add Repositoy and Repository-Browse to the upstream
    metadata file

 -- Birger Schacht <birger@rantanplan.org>  Mon, 04 May 2020 08:50:40 +0200

tao-pegtl (2.8.2-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump standards-version to 4.5.0 (no changes required)

 -- Birger Schacht <birger@rantanplan.org>  Sun, 05 Apr 2020 21:56:50 +0200
