=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: tao-pegtl
 Section: libs
 Priority: optional
-Maintainer: Birger Schacht <birger@rantanplan.org>
-Build-Depends: cmake, debhelper-compat (=12)
-Standards-Version: 4.4.1
+Maintainer: Birger Schacht <birger@debian.org>
+Build-Depends: cmake,
+               debhelper-compat (=13),
+Standards-Version: 4.5.1
 Homepage: https://github.com/taocpp/PEGTL
-Vcs-Browser: https://salsa.debian.org/bisco-guest/tao-pegtl
-Vcs-Git: https://salsa.debian.org/bisco-guest/tao-pegtl.git
+Vcs-Browser: https://salsa.debian.org/birger/tao-pegtl
+Vcs-Git: https://salsa.debian.org/birger/tao-pegtl.git
 Rules-Requires-Root: no
 
 Package: tao-pegtl-dev
