## tao-pegtl 3.2.5

=== debian/changelog ===
tao-pegtl (3.2.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Birger Schacht <birger@debian.org>  Sun, 03 Apr 2022 21:20:28 +0200

tao-pegtl (3.2.5-1) experimental; urgency=medium

  * New upstream release (Closes: #1000987)
  * Update year range in d/copyright stanza for debian/*
  * Bump standards-version to 4.6.0.1 (no changes required)
  * Add Bug-Database to d/upstream/metadata

 -- Birger Schacht <birger@debian.org>  Tue, 01 Mar 2022 10:27:36 +0100
