=== debian/watch ===
# You must remove unused comment lines for the released package.
version=4
https://github.com/taocpp/PEGTL/tags .*/v?(\d\S+)\.tar\.gz
