## tao-pegtl 3.2.6

=== debian/changelog ===
tao-pegtl (3.2.6-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1.0 (no changes required)
  * Switch to gitmode in d/watch
  * Add upstream signing key

 -- Birger Schacht <birger@debian.org>  Mon, 04 Jul 2022 15:36:33 +0200
