=== debian/changelog ===
tao-pegtl (3.2.7-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 06 Aug 2022 16:12:35 +0200
