=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends: cmake,
                debhelper-compat (=13),
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/taocpp/PEGTL
 Vcs-Browser: https://salsa.debian.org/birger/tao-pegtl
 Vcs-Git: https://salsa.debian.org/birger/tao-pegtl.git
