=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND += -Wno-error=type-limits

%:
	dh $@ --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	find ./debian -type f -name "LICENSE" -delete
	find ./debian -type d -empty -delete
