=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://github.com/taocpp/PEGTL refs/tags/([\d\.]+)
